import $http from 'mn-template/plugins/http';

// 设置axios默认属性
$http.setDefaults({
  headers: {
    token:localStorage.getItem('token')
  },
});

// 设置http配置信息 loading、error、clear、encrypt、mockUserInfo
$http.setOptions({
  loading() {},
});

// 新增前置钩子
// $http.addBeforeHook(config => console.log('我是新增的前置钩子', config), 0);

// 新增后置钩子
// $http.addAfterHook(response => console.log('我是新增的后置钩子', response), 0);
